phonegap and android 2.3 , will not work

Hey, nice to understand why my app crashes hard when in android 2.3
Phonegap is cool, but no one states the obvious tidbit:, hey guys, you can't use 2.3 because there is a bug in android when it tries to use javascript with a WebView....
http://code.google.com/p/android/issues/detail?id=12987